"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
// You don't have to export the function as default. You can also have more than one rule factory
// per file.
function fontAwesome(_options) {
    return (tree, _context) => {
        return schematics_1.chain([
            addFontAwesome(_options.project),
        ])(tree, _context);
    };
}
exports.fontAwesome = fontAwesome;
/**
 * Do not specify version since it's in the local package.json file
 * Force package to free-solid and init a service with this package
 * @param project : ng project that schematics run on
 */
function addFontAwesome(project) {
    return (tree, context) => {
        context.logger.debug("Adding fontawesome files");
        return schematics_1.chain([
            schematics_1.externalSchematic('@fortawesome/angular-fontawesome', 'ng-add', {
                project: project,
                iconPackages: ['free-solid']
            }),
            schematics_1.mergeWith(schematics_1.apply(schematics_1.url("./files"), [schematics_1.move("./src/app/shared/services")]))
        ])(tree, context);
    };
}
//# sourceMappingURL=index.js.map